Changeset 8121 in vbox for trunk/src/VBox/Additions
- Timestamp:
- Apr 18, 2008 7:29:18 AM (17 years ago)
- svn:sync-xref-src-repo-rev:
- 29824
- Location:
- trunk/src/VBox/Additions/solaris
- Files:
-
- 1 added
- 3 edited
Legend:
- Unmodified
- Added
- Removed
-
trunk/src/VBox/Additions/solaris/Installer/makepackage.sh
r8081 r8121 1 1 #!/bin/sh 2 set -e 2 3 # innotek VirtualBox 3 4 # VirtualBox Solaris Guest Additions package creation script. … … 18 19 # makespackage.sh $(PATH_TARGET)/install packagename 19 20 20 if [ -z "$2" ]; then21 if test -z "$2"; then 21 22 echo "Usage: $0 installdir packagename" 22 23 exit 1 23 24 fi 24 25 26 MY_PKGNAME=SUNWvboxguest 27 MY_GREP=/usr/sfw/bin/ggrep 28 MY_AWK=/usr/bin/awk 29 30 # check for GNU grep we use which might not ship with all Solaris 31 if test ! -f "$MY_GREP" || test ! -h "$MY_GREP"; then 32 echo "## GNU grep not found in $MY_GREP." 33 exit 1 34 fi 35 36 # prepare file list. 25 37 cd "$1" 26 38 echo 'i pkginfo=./vboxguest.pkginfo' > prototype 27 39 echo 'i postinstall=./postinstall.sh' >> prototype 28 40 echo 'i preremove=./preremove.sh' >> prototype 41 echo 'i space=./vboxguest.space' >> prototype 29 42 echo 'e sed /etc/devlink.tab ? ? ?' >> prototype 30 find . -print | /usr/sfw/bin/ggrep -v -E 'prototype|makepackage.sh|vboxguest.pkginfo|postinstall.sh|preremove.sh ' | pkgproto >> prototype43 find . -print | /usr/sfw/bin/ggrep -v -E 'prototype|makepackage.sh|vboxguest.pkginfo|postinstall.sh|preremove.sh|vboxguest.space' | pkgproto >> prototype 31 44 32 /usr/bin/awk 'NF == 6 && $2 == "none" { $5 = "root"; $6 = "bin" } { print }' prototype > prototype2 33 /usr/bin/awk 'NF == 6 && $2 == "none" { $3 = "opt/VirtualBoxAdditions/"$3"="$3 } { print }' prototype2 > prototype 45 # don't grok for the sed class files 46 $MY_AWK 'NF == 6 && $2 == "none" { $5 = "root"; $6 = "bin" } { print }' prototype > prototype2 47 $MY_AWK 'NF == 6 && $2 == "none" { $3 = "opt/VirtualBoxAdditions/"$3"="$3 } { print }' prototype2 > prototype 34 48 35 49 # install the kernel module to the right place (for now only 32-bit guests) 36 /usr/bin/awk'NF == 6 && $3 == "opt/VirtualBoxAdditions/vboxguest=vboxguest" { $3 = "platform/i86pc/kernel/drv/vboxguest=vboxguest" } { print }' prototype > prototype237 /usr/bin/awk'NF == 6 && $3 == "opt/VirtualBoxAdditions/vboxguest.conf=vboxguest.conf" { $3 = "platform/i86pc/kernel/drv/vboxguest.conf=vboxguest.conf" } { print }' prototype2 > prototype50 $MY_AWK 'NF == 6 && $3 == "opt/VirtualBoxAdditions/vboxguest=vboxguest" { $3 = "platform/i86pc/kernel/drv/vboxguest=vboxguest" } { print }' prototype > prototype2 51 $MY_AWK 'NF == 6 && $3 == "opt/VirtualBoxAdditions/vboxguest.conf=vboxguest.conf" { $3 = "platform/i86pc/kernel/drv/vboxguest.conf=vboxguest.conf" } { print }' prototype2 > prototype 38 52 39 # install the vboxclient daemon 40 #/usr/bin/awk 'NF == 6 && $3 == "opt/VirtualBoxAdditions/1099.vboxclient=1099.vboxclient" { $3 = "usr/dt/config/Xsession.d/1099.vboxclient=1099.vboxclient" } { print }' prototype > prototype2 41 42 #install the timesync daemon 43 /usr/bin/awk 'NF == 6 && $3 == "opt/VirtualBoxAdditions/vboxservice.xml=vboxservice.xml" { $3 = "/var/svc/manifest/system/virtualbox/vboxservice.xml=vboxservice.xml" } { print }' prototype2 > prototype 53 # install the timesync SMF service 54 $MY_AWK 'NF == 6 && $3 == "opt/VirtualBoxAdditions/vboxservice.xml=vboxservice.xml" { $3 = "/var/svc/manifest/system/virtualbox/vboxservice.xml=vboxservice.xml" } { print }' prototype2 > prototype 44 55 45 56 rm prototype2 46 pkgmk -o -r .47 pkgtrans -s -o /var/spool/pkg `pwd`/$2 SUNWvboxguest48 rm -rf /var/spool/pkg/SUNWvboxguest49 57 58 # explicitly set timestamp to shutup warning 59 VBOXPKG_TIMESTAMP=vbox`date '+%Y%m%d%H%M%S'` 60 61 # create the package instance 62 pkgmk -p $VBOXPKG_TIMESTAMP -o -r . 63 if test $? -ne 0; then 64 exit 1 65 fi 66 67 # translate into package datastream (errors are sent to stderr) 68 pkgtrans -s -o /var/spool/pkg `pwd`/$2 "$MY_PKGNAME" 69 if test $? -ne 0; then 70 exit 1 71 fi 72 73 rm -rf "/var/spool/pkg/$MY_PKGNAME" 74 exit $? 75 -
trunk/src/VBox/Additions/solaris/Installer/postinstall.sh
r7950 r8121 64 64 echo "*** Unknown version of the X Window System installed." 65 65 echo "*** Failed to install the VirtualBox X Window System drivers." 66 66 67 67 # Exit as partially failed installation 68 68 retval=2 -
trunk/src/VBox/Additions/solaris/Makefile.kmk
r8016 r8121 22 22 ifneq ($(BUILD_PLATFORM),solaris) 23 23 $(error "The Solaris guest additions installer can only be built on Solaris!") 24 endif 25 26 ifeq ($(BUILD_PLATFORM),solaris) 27 include $(PATH_SUB_CURRENT)/SharedFolders/Makefile.kmk 24 28 endif 25 29 … … 84 88 $(QUIET)$(INSTALL) -m 0755 $(VBOX_PATH_SOLARIS_ADDITION_INSTALLER)/vboxguest.sh $(SOLARISINSTDIR)/vboxguest.sh 85 89 $(QUIET)$(INSTALL) -m 0644 $(VBOX_PATH_SOLARIS_ADDITION_INSTALLER)/vboxservice.xml $(SOLARISINSTDIR)/vboxservice.xml 90 $(QUIET)$(INSTALL) -m 0644 $(VBOX_PATH_SOLARIS_ADDITION_INSTALLER)/vboxguest.space $(SOLARISINSTDIR)/vboxguest.space 86 91 $(QUIET)$(INSTALL) -m 0644 $(VBOX_PATH_X11_ADDITION_INSTALLER)/vboxclient.desktop $(SOLARISINSTDIR)/vboxclient.desktop 87 92 $(QUIET)$(INSTALL) -m 0755 $(VBOX_PATH_X11_ADDITION_INSTALLER)/98vboxadd-xclient $(SOLARISINSTDIR)/1099.vboxclient … … 104 109 $(QUIET)$(INSTALL) -m 0644 $(VBOX_PATH_SOLARIS_ADDITION_INSTALLER)/vboxdevlink.sed $(SOLARISINSTDIR)/etc/devlink.tab 105 110 $(call MSG_L1,Creating install package: $@) 106 $(QUIET)$(SOLARISINSTDIR)/makepackage.sh $(SOLARISINSTDIR) $(PKGFILENAME) 1>/dev/null 2>/dev/null111 $(QUIET)$(SOLARISINSTDIR)/makepackage.sh $(SOLARISINSTDIR) $(PKGFILENAME) 107 112 $(QUIET)$(INSTALL) -m 0644 $(SOLARISINSTDIR)/$(PKGFILENAME) $(PATH_BIN)/additions/$(PKGFILENAME) 108 113
Note:
See TracChangeset
for help on using the changeset viewer.